Subject: Re: Pine config of news server/login/groups

From: Scott Leibrand <[email-masked]>
Date: Mon, 13 Dec 1999 10:39:45 -0800 (PST)

On Mon, 13 Dec 1999 [email-masked] wrote:

> On Mon, 13 Dec 1999, Scott Leibrand wrote:
> 
> >On Sun, 12 Dec 1999 [email-masked] wrote:
> >
> >> On Sun, 12 Dec 1999, Scott Leibrand wrote:
> >> >You can set up a Pine password file, but it requires either a hidden
> >> >configuration option or a compile-time option be changed.  I think Nancy's
> >> >page has something on this.
> >> 
> >> I looked at that weeks or months ago the last time someone mentioned it..
> >> It was for PC Pine, not UNIX pine.
> >
> >Same thing will work for Unix Pine.  You just have to define the file and
> >create it.
> 
> well, I could swear that the descriptions talked about weird Windows directories
> that don't exist on UNIX.. but I guess I'll look again.

Yeah, it does, but that's just because the page was written for PC-Pine.  
If you change the directories to the appropriate Unix ones, I think it
should work.

> >> >Alternately, and far more securely, you can set up Pine to use SSH and set
> >> >up private and public keys for passwordless access.  This requires that
> >> >your mail server supports SSH logins and gives you direct access to your
> >> >files.  Reply if you'd like directions on doing this.
> >> 
> >> Will this work on an IMAP account?  I don't want "direct access to my files".
> >> I want IMAP access.
> >> 
> >> Jeez, all I want is it to log in for me!
> >> 
> >
> >Yes.  You still run Pine the same way as ever, but you need to be able to
> >place your public key file in the .ssh directory (in the .authorized_keys
> >file).  That's all I meant by the direct file access thing.
> 
> ok, thanks.. so could you give the directions on doing this?
> 

First, you have to set up passwordless access with SSH.  That involves
running ssh-keygen to generate a private-public key pair, transfering the
public key to your mail server and putting it on its own line in the
~/.ssh/authorized_keys file.

Then put the following lines in your .pinerc:

# Sets the name of the command used to open a UNIX secure shell connection.
# Tyically this is /usr/local/bin/ssh.
ssh-path=/usr/local/bin/ssh

# Sets the format of the command used to open a UNIX secure
# shell connection.  The default is "%s %s -l %s exec /etc/r%sd"
# NOTE: the 4 (four) "%s" entries MUST exist in the provided command
# where the first is for the command's path, the second is for the
# host to connnect to, the third is for the user to connect as, and the
# fourth is for the connection method (typically "imap")
ssh-command=%s %s -q -l %s exec /etc/r%sd

If you don't have those commented lines already (I know Pine 4.10 didn't),
do the same thing except use the rsh-path and rsh-command lines that
already exist.  That will just trick Pine into thinking its using rsh when
it's using SSH, which has no effect on how it works.

-- 
Scott Leibrand
[email-masked]
http://students.washington.edu/leibrand
* RCW 19.190 notice: This email address is located in Washington State. *
* Unsolicited commercial email may be billed $500 per message.          *